Skip to main content
GET
/
v1
/
book
Get order book
curl --request GET \
  --url https://api.numofx.com/v1/book
{
  "market_presentation": {
    "market": "<string>",
    "contract_type": "<string>",
    "settlement_type": "<string>",
    "base_asset_symbol": "<string>",
    "quote_asset_symbol": "<string>",
    "expiry_timestamp": 123,
    "display_name": "<string>",
    "display_label": "<string>",
    "tick_size": "<string>",
    "settlement_note": "<string>",
    "asset_address": "<string>",
    "sub_id": "<string>",
    "order_entry_spec": "<string>"
  },
  "bids": [
    {
      "order_id": "<string>",
      "owner_address": "<string>",
      "signer_address": "<string>",
      "subaccount_id": "<string>",
      "recipient_id": "<string>",
      "nonce": "<string>",
      "asset_address": "<string>",
      "sub_id": "<string>",
      "desired_amount": "<string>",
      "filled_amount": "<string>",
      "limit_price": "<string>",
      "worst_fee": "<string>",
      "expiry": 123,
      "action_json": "<unknown>",
      "signature": "<string>",
      "status": "<string>",
      "market": "<string>"
    }
  ],
  "asks": [
    {
      "order_id": "<string>",
      "owner_address": "<string>",
      "signer_address": "<string>",
      "subaccount_id": "<string>",
      "recipient_id": "<string>",
      "nonce": "<string>",
      "asset_address": "<string>",
      "sub_id": "<string>",
      "desired_amount": "<string>",
      "filled_amount": "<string>",
      "limit_price": "<string>",
      "worst_fee": "<string>",
      "expiry": 123,
      "action_json": "<unknown>",
      "signature": "<string>",
      "status": "<string>",
      "market": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.numofx.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

symbol
string

Canonical market symbol such as USDCcNGN-APR30-2026

asset_address
string
sub_id
string

Response

Top of book for a market

market_presentation
object
bids
object[]
asks
object[]